summaryrefslogtreecommitdiffstats
path: root/source/l/libcdio
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcdio')
-rwxr-xr-xsource/l/libcdio/libcdio.SlackBuild29
-rw-r--r--source/l/libcdio/libcdio.url1
-rw-r--r--source/l/libcdio/slack-desc10
3 files changed, 25 insertions, 15 deletions
diff --git a/source/l/libcdio/libcdio.SlackBuild b/source/l/libcdio/libcdio.SlackBuild
index ebccf1d1b..46fa921f7 100755
--- a/source/l/libcdio/libcdio.SlackBuild
+++ b/source/l/libcdio/libcdio.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,35 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcdio
-VERSION=${VERSION:-$(echo $(basename $(echo $PKGNAM-*.tar.xz | cut -f 2 -d -) .tar.xz) | cut -f 2 -d -)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -57,7 +65,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
@@ -83,6 +91,9 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/libcdio/libcdio.url b/source/l/libcdio/libcdio.url
deleted file mode 100644
index e28aefe43..000000000
--- a/source/l/libcdio/libcdio.url
+++ /dev/null
@@ -1 +0,0 @@
-http://ftp.gnu.org/gnu/libcdio/
diff --git a/source/l/libcdio/slack-desc b/source/l/libcdio/slack-desc
index 3f1ccc5d4..eacb07b04 100644
--- a/source/l/libcdio/slack-desc
+++ b/source/l/libcdio/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,8 +11,8 @@ libcdio:
libcdio: The libcdio package contains a library for CD-ROM and CD image access.
libcdio: Applications wishing to be oblivious of the OS and device-dependent
libcdio: properties of a CD-ROM or of the specific details of various CD-image
-libcdio: formats may benefit from using this library. A library for working
-libcdio: with ISO-9660 filesystems libiso9660 is included. A generic interface
+libcdio: formats may benefit from using this library. A library for working
+libcdio: with ISO-9660 filesystems libiso9660 is included. A generic interface
libcdio: for issuing MMC (multimedia commands) is also part of the libcdio
libcdio: library.
libcdio: